> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowsplitoptiontype

> MDO provider for the WorkflowTriggerType enum

## "workflowsplitoptiontype" MDO List

MDO provider for the WorkflowTriggerType enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowSplitOptionTypeProvider">WorkflowSplitOptionTypeProvider</see> class.
The name of the MDO list is 'workflowsplitoptiontype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowsplitoptiontype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowsplitoptiontype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                   | StyleHint | ExtraInfo |
| -- | ---------------------- | --------- | --------- |
| 1  | Contact data           |           |           |
| 2  | Form submission yes/no |           |           |
| 6  | Form data              |           |           |
| 3  | Link clicked           |           |           |
| 4  | Project membership     |           |           |
| 5  | Selection membership   |           |           |

## Related MDO Lists

* "workflowsplitoptiontypeheadings"
* "workflowsplitoptiontypeheadingswithallitem"
* "workflowsplitoptiontypeheadingswithallitemwithnoselection"
* "workflowsplitoptiontypeheadingswithnoselection"
* "workflowsplitoptiontypewithallitem"
* "workflowsplitoptiontypewithallitemwithnoselection"
* "workflowsplitoptiontypewithnoselection"


## Related topics

- [Enum WorkflowSplitOptionType](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowSplitOptionType.md)
- [SuperOffice.WebApi.Data.WorkflowSplitOptionType](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowSplitOptionType.md)
- [NSWorkflowStepOptionBase](/en/automation/crmscript/reference/CRMScript.NetServer.NSWorkflowStepOptionBase.md)
- [SuperOffice.WebApi.Agents.IWorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IWorkflowAgent.md)
- [SuperOffice.WebApi.Agents.WorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.WorkflowAgent.md)
- [NSWorkflowAgent](/en/automation/crmscript/reference/CRMScript.NetServer.NSWorkflowAgent.md)
